Page MenuHomePhabricator

Wikidata Query GUI (wikidata/query/gui) fails tests on initial clone on Debian
Closed, ResolvedPublic

Description

I cloned wikidata-query-rdf by running:

git clone  --recurse-submodules https://gerrit.wikimedia.org/r/wikidata/query/rdf wikidata-query-rdf
cd wikidata-query-rdf
mvn package

Everything seemed to be working fine until it got to testing wikidata-query-rdf/gui (https://gerrit.wikimedia.org/r/wikidata/query/gui), when I got the following output:

[INFO] --- frontend-maven-plugin:1.6:npm (npm test) @ gui ---
[INFO] Running 'npm test' in /home/vaidyagi/code/wikidata/wikidata-query-rdf/gui
[INFO] 
[INFO] > wikidata-query-gui@0.1.4 test /home/vaidyagi/code/wikidata/wikidata-query-rdf/gui
[INFO] > grunt test
[INFO] 
[INFO] Running "jshint:all" (jshint) task
[INFO] >> 55 files lint free.
[INFO] 
[INFO] Running "jscs:src" (jscs) task
[INFO] >> 44 files without code style errors.
[INFO] 
[INFO] Running "jsonlint:all" (jsonlint) task
[INFO] >> 124 files lint free.
[INFO] 
[INFO] Running "banana:all" (banana) task
[INFO] >> 113 messages checked.
[INFO] 
[INFO] Running "stylelint:all" (stylelint) task
[INFO] >> Linted 1 files without errors
[INFO] 
[INFO] Running "qunit:all" (qunit) task
[INFO] Testing wikibase/tests/index.html 
[INFO] >> PhantomJS timed out, possibly due to:
[INFO] >> - QUnit is not loaded correctly.
[INFO] >> - A missing QUnit start() call.
[INFO] >> - Or, a misconfiguration of this task.
[INFO] Testing wikibase/tests/QueryHelper.html 
[INFO] >> PhantomJS timed out, possibly due to:
[INFO] >> - QUnit is not loaded correctly.
[INFO] >> - A missing QUnit start() call.
[INFO] >> - Or, a misconfiguration of this task.
[INFO] Warning: 2 tests completed with 2 failed, 0 skipped, and 0 todo. 
[INFO] 0 assertions (in 0ms), passed: 0, failed: 0 Use --force to continue.
[INFO] 
[INFO] Aborted due to warnings.

Changing into ./gui and running npm test results in the same output. I tried running node_modules/grunt/bin/grunt test -v directly, and got the following output:

[...]
Running "qunit:all" (qunit) task
Verifying property qunit.all exists in config...OK
Files: wikibase/tests/index.html, wikibase/tests/QueryHelper.html -> all
Options: timeout=5000, inject="/home/vaidyagi/code/wikidata/wikidata-query-rdf/gui/node_modules/grunt-contrib-qunit/phantomjs/bridge.js", urls=[], force=false, console, httpBase=false, summaryOnly=false

Testing wikibase/tests/index.html 

>> PhantomJS timed out, possibly due to:
>> - QUnit is not loaded correctly.
>> - A missing QUnit start() call.
>> - Or, a misconfiguration of this task.

Testing wikibase/tests/QueryHelper.html 

>> PhantomJS timed out, possibly due to:
>> - QUnit is not loaded correctly.
>> - A missing QUnit start() call.
>> - Or, a misconfiguration of this task.
Warning: 2 tests completed with 2 failed, 0 skipped, and 0 todo. 
0 assertions (in 0ms), passed: 0, failed: 0 Use --force to continue.

I tried running the same commands on macOS, and they worked fine there with exactly the same Options as above, suggesting that this problem is specific to my Debian testing (buster) setup.

Any idea what I'm missing? I'll keep poking at it: I'd like to figure out what's going on and improve the documentation so it's clearer what's going on!

Details

Related Gerrit Patches:
wikidata/query/gui : master"grunt-contrib-qunit": "^3.0.0"

Event Timeline

Gaurav created this task.Nov 10 2018, 6:51 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 10 2018, 6:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Updating grunt-contrib-qunit from 2.x to 3.x might help with this – I think @Addshore was going to investigate that?

Yes, I can split this change out from my WIP blubber patch.
I'll attach it to this ticket today!

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 12 2018, 12:07 PM

Change 472969 had a related patch set uploaded (by Addshore; owner: Addshore):
[wikidata/query/gui@master] "grunt-contrib-qunit": "^3.0.0"

https://gerrit.wikimedia.org/r/472969

Addshore triaged this task as Normal priority.Nov 12 2018, 3:55 PM

Change 472969 merged by jenkins-bot:
[wikidata/query/gui@master] "grunt-contrib-qunit": "^3.0.0"

https://gerrit.wikimedia.org/r/472969

Addshore moved this task from incoming to in progress on the Wikidata board.Nov 13 2018, 3:33 PM
Gaurav added a comment.EditedNov 13 2018, 6:25 PM

Thanks so much, this works for me on master now!